- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Returns information about a specific job. Job information is available for a six month period after creation. Requires that you're the person who ran the job, or have the Is Owner project role.
IAM Permissions
Requires the bigquery.jobs.get permission on the job resource. If the user matches the creator of the job, the bigquery.jobs.create permission on the project is required instead.
HTTP request
GET https://bigquery.googleapis.com/bigquery/v2/projects/{projectId}/jobs/{jobId}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
projectId |
Required. Project ID of the requested job. |
jobId |
Required. Job ID of the requested job. |
Query parameters
| Parameters | |
|---|---|
location |
The geographic location of the job. You must specify the location to run the job for the following scenarios:
For more information, see how to specify locations. |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of Job.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/bigqueryhttps://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/bigquery.readonlyhttps://www.googleapis.com/auth/cloud-platform.read-only
For more information, see the Authentication Overview.